# DataExchange
TKIGES
IGESAppli

# IGESAppli_HArray1OfFiniteElement Class Reference

`#include <IGESAppli_HArray1OfFiniteElement.hxx>`

## Public Member Functions

Standard_EXPORT | IGESAppli_HArray1OfFiniteElement (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESAppli_HArray1OfFiniteElement (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESAppli_FiniteElement)&V)
Standard_EXPORT void | Init (const Handle(IGESAppli_FiniteElement)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESAppli_FiniteElement)&Value)
const Handle_IGESAppli_FiniteElement & | Value (const Standard_Integer Index) const
Handle_IGESAppli_FiniteElement & | ChangeValue (const Standard_Integer Index)
const IGESAppli_Array1OfFiniteElement & | Array1 () const
IGESAppli_Array1OfFiniteElement & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESAppli_Array1OfFiniteElement | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_HArray1OfFiniteElement::IGESAppli_HArray1OfFiniteElement | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESAppli_HArray1OfFiniteElement::IGESAppli_HArray1OfFiniteElement | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESAppli_FiniteElement)& | V
| ) |

## Member Function Documentation

const IGESAppli_Array1OfFiniteElement& IGESAppli_HArray1OfFiniteElement::Array1 | ( |  | ) | const

IGESAppli_Array1OfFiniteElement& IGESAppli_HArray1OfFiniteElement::ChangeArray1 | ( |  | ) |

Handle_IGESAppli_FiniteElement& IGESAppli_HArray1OfFiniteElement::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESAppli_HArray1OfFiniteElement::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESAppli_HArray1OfFiniteElement::Init | ( | const Handle(IGESAppli_FiniteElement)& | V | ) |

Standard_Integer IGESAppli_HArray1OfFiniteElement::Length | ( |  | ) | const

Standard_Integer IGESAppli_HArray1OfFiniteElement::Lower | ( |  | ) | const

void IGESAppli_HArray1OfFiniteElement::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESAppli_FiniteElement)& | Value
| ) |

Standard_Integer IGESAppli_HArray1OfFiniteElement::Upper | ( |  | ) | const

const Handle_IGESAppli_FiniteElement& IGESAppli_HArray1OfFiniteElement::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESAppli_Array1OfFiniteElement IGESAppli_HArray1OfFiniteElement::myArray `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_HArray1OfFiniteElement.hxx